package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.S_m_sRepository;
import com.realnet.vpspack.Entity.S_m_s
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class S_m_sService {
@Autowired
private S_m_sRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public S_m_s Savedata(S_m_s data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
S_m_s save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<S_m_s> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<S_m_s> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<S_m_s> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public S_m_s getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public S_m_s update(S_m_s data,Integer id) {
	S_m_s old = Repository.findById(id).get();
old.setUser(data.getUser());

old.setPassword(data.getPassword());

old.setApi_id(data.getApi_id());

final S_m_s test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
